Subject: [-next] cpu cache info in drivers base?

From: Heiko Carstens <[email-masked]>
Date: Mon, 24 Nov 2014 16:00:48 +0100

Hi there,

I'm just wondering what the point of the current cpu cache info
within drivers/base is?
If I startup linux-next (as of today) all I get is an error message
"error detecting cacheinfo..cpu0".
Which naturally comes from:

int __weak init_cache_level(unsigned int cpu)
{
	return -ENOENT;
}

Given that there is no implementation without __weak I'm wondering
what the point is? Also it looks like no architecture has been
converted to the new infrastructure, even though such patches have
been posted in the past?